/*-- 
    Natalie DeFrates
    Lab 1: CSS Layout with Flexbox and Grid
    Feb 4, 2026
 --*/

 /*main, nav, footer, h1, ul, figure {
    margin: 0;
    padding: 0;
    border: 0;
}*/

/**************** Style rules for mobile viewport*****************/

/* Style rule to hide tab-desk class */
.tab-desk {
    display: none;
}

@media (max-width: 600px) {
  .flex-container {
    flex-direction: column;
  }
}
/* Style rules for header content */
header {
    text-align: center;
    background-color: #827E7D;
    font-family: 'Garamond', 'Times New Roman', serif;
    font-size: 2em;
    margin-top: 0.5em;
}
.flex-container {
  display: flex;
  flex-direction: row;
}

.flex-item {
  background-color: #545150;
  padding: 10px;
  font-size: 30px;
  text-align: center;
  width: 100%;
}

.header img{
    float: left;
    width: 12%;
    height: 15%;
}

.header h1{
    font-family: 'Garamond', 'Times New Roman', serif;
    font-weight: bold;
    color:#B87863;
    text-wrap: balance;
    text-align: right;
    margin:0 auto;
}

h2{
    font-family: 'Garamond', 'Times New Roman', serif;
    font-weight: bold;
    color:#B87863;
    margin:0 auto;
}

h3{
    font-family: 'Garamond', 'Times New Roman', serif;
    font-weight: bold;
    color:whitesmoke;
    text-shadow: 2px 2px 5px ;
    margin:0 auto;
}

a {
    color:antiquewhite;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}

section {
    text-align: center;
    font-family: 'Garamond', 'Times New Roman', serif;
    font-size: 1em;
    color: black;
    margin: 0 5%;
}

/* Style rules for navigation area */
nav{
	width: 100%;
	padding:10px;
	background-color: #545150;
	margin:0 auto;/*centers the layout in browser*/
}

nav ul {
    list-style-type: none;
    margin:0 auto;
	list-style:none;
	text-align: center;
	background-color: transparent;
}

nav li {
    font-size: 1.5em;
    font-family: Verdana, Arial, sans-serif;
    font-weight: bold;
    border-top: 1px solid ;
    display:inline-block;
    margin:0 auto;
}

/* Style rules for main content */
main{
    background-color:black;
    background-size: cover;
    background-attachment: fixed;
   
}

p {
    color: white;
    text-wrap: balance;
    font-size:medium;
    font-family: Garamond, 'Times New Roman', serif;
    text-align: center;
    font-size: .75em;
}

#hero {
    clear: center;
    
}
/*img{
    position: center;
    width: 50%;
    border: solid bisque 5px;
    border-radius: 50%;
    height:auto;
    display: block;
    margin: 0 auto;
}*/


#pamper, #full, #basic {
    margin: 0 2%;
}

/* Style rules for footer content */
footer {
    text-align: center;
    background-color: #545150;
    font-size: 0.85em;
    color: #B87863;
    font-weight: bold;
}

/* Media Query for Tablet Viewport */
@media screen and (min-width: 600px), print{ 
    /* Tablet Viewport: Show tab-desk class, hide mobile class */
    .tab-desk {
        display: block;
    }

    .mobile {
        display: none;
    }

header {
    text-align: center;
    background-color: #827E7D;
    font-family: 'Garamond', 'Times New Roman', serif;
    font-size: 2em;
    margin-top: 0.5em;
}

.flex-container {
  display: flex;
  flex-direction: row;
}

.flex-item {
  background-color: #545150;
  padding: 10px;
  font-size: 30px;
  text-align: center;
  width: 100%;
}

h1{
    font-family: 'Garamond', 'Times New Roman', serif;
    font-weight: bold;
    color:#B87863;
    text-wrap: balance;
    text-align: center;
    margin:0 auto;
}
    
    /* Tablet Viewport: Style rules for nav area */
nav{
	width: 100%;
	padding:10px;
	background-color: #545150;
	margin:0 auto;/*centers the layout in browser*/
}

nav ul {
    list-style-type: none;
    margin:0 auto;
	list-style:none;
	text-align: center;
	background-color: transparent;
}

nav li {
    font-size: 1.5em;
    font-family: Verdana, Arial, sans-serif;
    font-weight: bold;
    border-top: 1px solid ;
    display:inline-block;
    margin:0 auto;
}

/* Style rule for hero image */
#hero {
    clear: center;
    position: center;
    width: 50%;
    border: solid 5px;
    height:auto;
    display: block;
    margin: 0 auto;
}
.round {
    border-radius: 75%;

}

section {
    text-align: center;
    font-family: 'Garamond', 'Times New Roman', serif;
    font-size: 1em;
    color: black;
    margin: 0 5%;
}

main {
    background-color:black;
    background-size: cover;
    background-attachment: fixed;
}

footer {
    text-align: center;
    background-color: #545150;
    font-size: 0.85em;
    color: #B87863;
}

/* Media Query for Desktop Viewport */
@media screen and (min-width:1024px), print{
    
    /* Desktop Viewport: Show tab-desk class, hide mobile class */
    .tablet-desktop {
        display: block;
    }

    .mobile {
        display: none;
    }
    
    /* Desktop Viewport:Style rules for header content */
 header {
    text-align: center;
    
    font-family: 'Garamond', 'Times New Roman', serif;
    font-size: 2em;
    margin-top: 0.5em;
}

h1{
    font-family: 'Garamond', 'Times New Roman', serif;
    font-weight: bold;
    color:#B87863;
    text-wrap: balance;
    text-align: center;
    margin:0 auto;
}
h2{
    font-family: 'Garamond', 'Times New Roman', serif;
    font-weight: bold;
    color:#B87863;
    margin:0 auto;
}
h3{
    font-family: 'Garamond', 'Times New Roman', serif;
    font-weight: bold;
    color:aliceblue;
    text-shadow: 2px 2px 5px ;
    margin:0 auto;
}
body{
    background-image:url(#);
    background-size: fill;
    background-attachment: fixed;
}

section {
    text-align: center;
    font-family: 'Garamond', 'Times New Roman', serif;
    font-size: 1em;
    color: white;
    margin: 0 5%;
}

    /* Desktop Viewport: Style rules for nav area */
nav{
	width: 75%;
	padding:10px;
	background-color: transparent;
	margin:0 auto;/*centers the layout in browser*/
}

nav ul {
    list-style-type: none;
    margin:0 auto;
	list-style:none;
	text-align: center;
	background-color: transparent;
}

nav li {
    font-size: 1.5em;
    font-family: Verdana, Arial, sans-serif;
    font-weight: bold;
    border-top: 1px solid ;
    display:inline-block;
    margin:0 auto;
}
	
/* Style rule for hero image */
#hero {
    clear: center;
    position: center;
    width: 50%;
    border: solid 5px;
    height:auto;
    display: block;
    margin: 0 auto;
}
.round {
    border-radius: 75%;

}

footer {
    text-align: center;
    background-color: #19380F;
    font-size: 0.85em;
    color: bisque;
    font-weight: bold;
}
}

/* Media Query for Large Desktop Viewport */
@media screen and (min-width:1920px), print {
    /* Desktop Viewport: Show tab-desk class, hide mobile class */
.tablet-desktop {
        display: block;
    }

header {
    text-align: center;
    background-image: url(#);
    font-family: 'Garamond', 'Times New Roman', serif;
    font-size: 2em;
    margin-top: 0.5em;
}

h1{
    font-family: 'Garamond', 'Times New Roman', serif;
    font-weight: bold;
    color:#B87863;
    text-shadow: 2px 2px 5px ;
    text-wrap: balance;
    text-align: center;
    margin:0 auto;
}

    /* Large Desktop Viewport: Style rules for nav area */
/* Style rule for hero image */
#hero {
    clear: center;
    position: center;
    width: 50%;
    border: solid 5px;
    height:auto;
    display: block;
    margin: 0 auto;
}


nav{
	width: 75%;
	padding:10px;
	background-color: transparent;
	margin:0 auto;/*centers the layout in browser*/
}

nav ul {
    list-style-type: none;
    margin:0 auto;
	list-style:none;
	text-align: center;
	background-color: transparent;
}

nav li {
    font-size: 1.5em;
    font-family: Verdana, Arial, sans-serif;
    font-weight: bold;
    border-top: 1px solid ;
    display:inline-block;
    margin:0 auto;
}

body {
    background-image:url(#);
    background-size: fill;
    background-attachment: fixed;
   }

p {
    color:white;

}

footer {
    text-align: center;
    background-color: #19380F;
    font-size: 0.85em;
    color: bisque;
    font-weight: bold;
}
}
}